commit:     0597ad045c450eb468c4500d9ddb05584de70c3d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 23 15:25:04 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 15:25:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0597ad04

media-libs/faac: Port to EAPI 7

Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-libs/faac/faac-1.29.9.2.ebuild | 27 +++++++++------------------
 1 file changed, 9 insertions(+), 18 deletions(-)

diff --git a/media-libs/faac/faac-1.29.9.2.ebuild 
b/media-libs/faac/faac-1.29.9.2.ebuild
index 58776bbdaad..8b790a669fc 100644
--- a/media-libs/faac/faac-1.29.9.2.ebuild
+++ b/media-libs/faac/faac-1.29.9.2.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools epunt-cxx multilib-minimal
+inherit autotools multilib-minimal
 
 DESCRIPTION="Free MPEG-4 audio codecs by AudioCoding.com"
 HOMEPAGE="https://www.audiocoding.com";
@@ -12,34 +12,25 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 LICENSE="LGPL-2.1 MPEG-4"
 SLOT="0"
 KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~mips ppc ppc64 ~sh sparc x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~x86-solaris"
-IUSE="static-libs"
-
-DEPEND="${RDEPEND}"
-DOCS=( AUTHORS ChangeLog NEWS README TODO )
 
 src_prepare() {
        default
-
        sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die 
#466984
-
        eautoreconf
-       epunt_cxx
 }
 
 multilib_src_configure() {
-       local myconf=(
-               $(use_enable static-libs static)
-       )
+       ECONF_SOURCE="${S}" econf --disable-static
 
-       ECONF_SOURCE="${S}" econf ${myconf[@]}
-
-       # do not build the frontend for non default abis
-       if [ "${ABI}" != "${DEFAULT_ABI}" ] ; then
+       # do not build the frontend for non-native abis
+       if ! multilib_is_native_abi; then
                sed -i -e 's/frontend//' Makefile || die
        fi
 }
 
-multilib_src_install() {
-       emake DESTDIR="${D}" install
+multilib_src_install_all() {
+       einstalldocs
+
+       # no static archives
        find "${D}" -name '*.la' -delete || die
 }

Reply via email to